EDIT - feature request #3630

Taxeditor should add mimetype of mediaRepresentations automatically
07/30/2013 07:57 AM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

Taxeditor should add mimetype of mediaRepresentations automatically when a new media RepresentationPart URI is entered.

The mimetype of mediaRepresentations can in most cases easily retrieved by doing a HEAD or GET request with the entered
RepresentationPart.getURI()

related ticket: #2452, #3631, #3635

Related issues:

Related to EDIT - bug #3635: Protologue media should also be displayed when m... New
Related to EDIT - task #2452: Media entities and Webpages Duplicate
Related to EDIT - feature request #8028: Better representation of web app med... Closed
Related to EDIT - feature request #9547: Show warning in TaxEditor if a Media... New
Related to EDIT - feature request #9548: Handle links to websites, webapps or... New
Related to EDIT - feature request #9067: [DISCUSS] Allow media to support ext... Closed
History

#1 - 08/05/2013 05:03 PM - Andreas Miiller
- Assignee changed from Andreas Miller to c.mathew -

- Target version set to TaxEditor RELEASE 3.2.3

#2 - 01/14/2014 11:54 AM - Cherian Mathew
- Target version deleted (TaxEditor RELEASE 3.3.0)

#3 - 03/28/2014 11:11 AM - Andreas Kohlbecker

- Target version deleted ()

no release 3.3.1 of the taxeditor so | am moving all tickets to the next milestone 3.3.2

#4 - 08/11/2014 05:57 PM - Patrick Plitzner
- Keywords set to review2014-07-12

#5 - 09/03/2014 02:42 PM - Andreas Kohlbecker

- Assignee changed from c.mathew - to Andreas Kohlbecker

| will investigate the need for having the mime type of images in the database.

#6 - 09/03/2014 02:43 PM - Andreas Miiller
- Target version deleted (TaxEditor RELEASE 3.3.7)
- Priority changed from Priority08 to Highest

#7 - 09/03/2014 02:55 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to c.mathew -

the mime type of media is important because the dataportal decides based on the mime type how to handle the media entity. This is especially
https://dev.e-taxonomy.eu/redmine/issues/2452
https://dev.e-taxonomy.eu/redmine/issues/3635

important for PDFs since these are otherwise not identifieable (A url to a pdf must not nessecarily have the according file extension)

from email Re: Protologues & BHL links, Dienstag, 30. Juli 2013 07:59:

I just wonder why the Cichorieae Portal does not show protologues after

I have entered a BHL link to a certain page in a document,

e.g. http://botanicus.org/page/763009, see the case of Picrosia longifolia
http://wp6-cichorieae.e-taxonomy.eu/portal/cdm_dataportal/taxon/fafa7b30-ebc9-4096-a95c-bd1578db68b2/synony

vV V. V V

my
> where I entered such links for the accepted name and for the synonym Psilopogon albiflorus.
> the mimetype of the entered media is missing in the database.

The media with the following mimetypes are currently supported for protologue
links:

'application/pdf"',

'image/png’',

'image/Jjpeg',

'image/gif"',

'text/html',

text/html

is for web pages and would be the correct mimetype in the case of the link
http://botanicus.org/page/763009

Just add this as mimetype and it should work.

I seem to remember that the Editor is missing to automatically fill the mimetype
when a media URL is entered.

Andreas

#8 - 07/20/2021 01:03 PM - Andreas Kohlbecker
- Description updated
- Assignee changed from Cherian Mathew to Katja Luther

- Private changed from Yes to No

#9 - 07/20/2021 01:05 PM - Andreas Kohlbecker
- Tags changed from review2014-07-12 to review2014-07-12, mexico

- Target version changed from Reviewed Next Major Release to Release 5.45

#10 - 07/20/2021 01:05 PM - Andreas Kohlbecker
- Related to bug #3635: Protologue media should also be displayed when mime type is missing added

#11 - 07/20/2021 01:06 PM - Andreas Kohlbecker
- Related to task #2452: Media entities and Webpages added

#13 - 07/20/2021 01:07 PM - Andreas Kohlbecker

- Related to feature request #8028: Better representation of web app media in the image gallery added

#14 - 09/21/2021 09:16 AM - Andreas Miiller

- Related to feature request #9547: Show warning in TaxEditor if a MediaRepresentation can not be shown in a Viewer added

#15 - 09/21/2021 09:16 AM - Andreas Miiller

- Related to feature request #9548: Handle links to websites, webapps or similar in image galleries (simple and UV) added

#16 - 09/21/2021 09:27 AM - Andreas Miiller
- Related to feature request #9067: [DISCUSS] Allow media to support external links not being files added

#17 - 09/21/2021 09:32 AM - Andreas Miiller

- Tags changed from review2014-07-12, mexico to review2014-07-12, mexico, fast

As this is already partly implemented we probably only need to adapt the existing algorithm.

@Andreas K., as you have the most experience with MIME type recognition, can you leave information in this ticket how the algorithm could be

improved. This is especially important for links to ordinary websites or webapplications. How can they be recognized (if at all) and what MIME type to
use (probably it should be the default mime type.
Maybe we should also add a dropdown for the most common mime types to use. This is easy to use for the seldom case that the MIME type was not
recognized by the algorithm correctly. Freetext editing of mime type should still be possible but is not very comfortalbe for the user.
